\documentclass{article}
\pagestyle{empty}
\usepackage{geometry,fontspec,tikz,emoji}
\usepackage[outline]{contour}
\geometry{a6paper,landscape,hmargin={1cm,1cm},vmargin={1cm,1cm}}
\setmainfont{comicneue}
\usetikzlibrary{fadings, shadings}
\tikzfading[name=fade right,
left color=transparent!0,
right color=transparent!100]
\setlength\parindent{0pt}

%%% rainbow fading effect

\newcounter{fadcnt}\setcounter{fadcnt}{0}
\newcommand\fadingtext[3][]{%
\stepcounter{fadcnt}
  \begin{tikzfadingfrompicture}[name=fading letter\thefadcnt]
    \node[text=transparent!0,inner xsep=0pt,outer xsep=0pt,#1] {#3};
  \end{tikzfadingfrompicture}%
  \begin{tikzpicture}[baseline=(textnode.base)]
    \node[inner sep=0pt,outer sep=0pt,#1](textnode){\phantom{#3}};
    \shade[path fading=fading letter\thefadcnt,#2,fit fading=false]
    (textnode.south west) rectangle (textnode.north east);%
  \end{tikzpicture}%
}
\usetikzlibrary{calc}
\newbox\shbox
\tikzset{%
  path picture shading/.style={%
  path picture={%
%
\pgfpointdiff{\pgfpointanchor{path picture bounding box}{south west}}%
  {\pgfpointanchor{path picture bounding box}{north east}}%
\pgfgetlastxy\pathwidth\pathheight%
\pgfinterruptpicture%
   \global\setbox\shbox=\hbox{\pgfuseshading{#1}}%
 \endpgfinterruptpicture%
\pgftransformshift{\pgfpointanchor{path picture bounding box}{center}}%
\pgftransformxscale{\pathwidth/(\wd\shbox)}%
\pgftransformyscale{\pathheight/(\ht\shbox)}% \dp will (should) be 0pt
\pgftext{\box\shbox}%
%
    }
  }
}
\pgfdeclarehorizontalshading{rainbow}{10bp}{color(0bp)=(violet);
            color(1.6667bp)=(blue);
            color(3.3333bp)=(cyan);
            color(5bp)=(green);
            color(6.6667bp)=(yellow);
            color(8.3333bp)=(orange);
            color(10bp)=(red)}


%%% end rainbow fading effect


\begin{document}
\begin{tikzpicture}[overlay,remember picture]
  \node[anchor=east,inner sep=12pt] (pic) at (current page.east)
    {\includegraphics[width=.8\pagewidth]{samir-lying-small-flipped2.jpeg}};
  \fill[white,path fading=fade right] (pic.north west) rectangle (pic.south east);
\end{tikzpicture}%
\obeylines%
\fadingtext[scale=4,font=\bfseries]{path picture shading=rainbow}{INVITATION}
%{\addfontfeatures{Scale=4,LetterSpace=10} INVITATION}

\bigbreak
\bigbreak
\bigbreak

\bf{%
  Dear friends,\\

  This Sunday, on the 5th of March, we invite you to
  celebrate Samir's birthday, already two years old %
  \emoji{smiling-face-with-hearts}\\

  The party starts around 1-2 o'clock, so the kids have
  plenty of time to play, and finishes around 6, so the
  little ones can quiet down before their night's sleep %
  \emoji{sleeping-face}\\

  There will be kid friendly snacks: pasta salad, veggies,
  dips, sugar free sweets, mini hamburger \emoji{hamburger}\\
}
\end{document}
